<inp2:adm_SetPopupSize width="550" height="400"/>

<inp2:m_DefaultParam prefix="spam-report"/>
<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:spam_reports" prefix="$prefix" title_preset="spam_report_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();

				a_toolbar.AddButton(
					new ToolBarButton(
						'select',
						'<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>',
						function() {
							submit_event('<inp2:m_Param name="prefix"/>', '<inp2:$prefix_SaveEvent/>');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'cancel',
						'<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>',
						function() {
							cancel_edit('<inp2:m_Param name="prefix"/>', 'OnCancelEdit', '<inp2:$prefix_SaveEvent/>', '<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
					)
				);

			 	a_toolbar.AddButton(
			 		new ToolBarButton(
			 			'reset_edit',
			 			'<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>',
			 			function() {
							reset_form('<inp2:m_Param name="prefix"/>', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
						}
					)
				);

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton(
					new ToolBarButton(
						'prev',
						'<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>',
						function() {
							go_to_id('<inp2:m_Param name="prefix"/>', '<inp2:$prefix_PrevId/>');
						}
					)
				);

				a_toolbar.AddButton(
					new ToolBarButton(
						'next',
						'<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>',
						function() {
							go_to_id('<inp2:m_Param name="prefix"/>', '<inp2:$prefix_NextId/>');
						}
					)
				);

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				<inp2:m_if check="spam-report_IsReviewReport">
					a_toolbar.AddButton(
						new ToolBarButton(
							'delete',
							'<inp2:m_phrase label="la_ToolTip_DeleteReview" escape="1"/>',
							function() {
								if ( confirm('<inp2:m_Phrase name="lu_AssociatedReviewRemovalConfirmation" js_escape="1"/>') ) {
							  		submit_event('spam-report', 'OnDeleteAssocItem');
								}
							}
						)
					);
				</inp2:m_if>

				a_toolbar.Render();

				<inp2:m_if check="{$prefix}_IsSingle">
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="{$prefix}_IsLast">
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="{$prefix}_IsFirst">
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>

		<inp2:m_RenderElement name="ml_selector" prefix="$prefix"/>
	</tr>
</tbody>
</table>

<inp2:$prefix_SaveWarning name="grid_save_warning"/>
<inp2:$prefix_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" title="la_section_General"/>
			<inp2:m_RenderElement name="inp_id_label" prefix="$prefix" field="ReportId" title="la_fld_Id"/>
			<inp2:m_RenderElement name="inp_label" prefix="$prefix" field="MessageText" title="la_fld_MessageText" nl2br="1"/>
			<inp2:m_RenderElement name="inp_label" prefix="$prefix" field="ReportedOn" title="la_fld_ReportedOn"/>
			<inp2:m_RenderElement name="inp_label" prefix="$prefix" field="ReportedBy" title="la_fld_ReportedBy"/>

		<tr class="subsectiontitle">
			<td colspan="3"><inp2:spam-report_Field name="ItemPrefix"/></td>
		</tr>

			<inp2:m_RenderElement name="inp_label" prefix="$prefix" field="ItemId" title="la_fld_ItemId"/>

			<inp2:m_RenderElement design="form_row" prefix="$prefix" field="ItemName">
				<td class="control-cell" valign="top">
					<a href="<inp2:$prefix_ItemEditLink/>" title="<inp2:m_Phrase name='la_Text_Edit' no_editing='1'/>" onclick="return direct_edit('<inp2:m_param name="prefix"/>', this.href);"><inp2:$prefix_Field field="$field"/></a>
				</td>
			</inp2:m_RenderElement>

		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>